/****************************************************************************
**
** Copyright (C) 2019 Wilhelm Hagemeister
** Contact: hm@igh.de
**
** project: pdWidgets
**
****************************************************************************/

import QtQuick
import QtQuick.Controls
import QtQuick.Controls.Material
import QtQuick.Layouts

import de.igh.pd 1.0



Item {
    LiveSvg {
        id:svg
        anchors.fill: parent
        source: "qrc:/images/svg_example.svg"
	invert: appContainer.Material.theme == Material.Dark
	Button {
	    id:myButton
	    objectName:"myButton"
	    text:"press me"
	}
	PdLed {
	    objectName:"squareRect1"
	    connection: {
		"path":"/osc/enable"
	    }
	    color:"red"
	    blinking:true
	    invert:true
	}
        PdDigital {
	    objectName:"processValue1"

            connection: {
		"path":"/Taskinfo/0/Period",
		"sampleTime":0.1,
		"scale":1000
	    }
            suffix:"ms"
            font.bold: true
            font.pixelSize:20
        }
	Label {
	    objectName:"nothingHappens"
	    text:"nothing happens"
	    visible:myButton.pressed
	}
    }
} //Item
